вторник, 2 февраля 2016 г.

Dotdeb signatures couldn't be verified

Понадобилось поставить PHP 5.6 на Debian Wheezy, добавил репу DotDeb https://www.dotdeb.org/instructions/
При apt-get update вылезло:
W: GPG error: http://packages.dotdeb.org wheezy-php56-zts Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY E9C74FEEA2098A6E



Решается просто:
# gpg --keyserver keys.gnupg.net --recv-key 89DF5277
gpg: directory `/root/.gnupg' created
gpg: new configuration file `/root/.gnupg/gpg.conf' created
gpg: WARNING: options in `/root/.gnupg/gpg.conf' are not yet active during this run
gpg: keyring `/root/.gnupg/secring.gpg' created
gpg: keyring `/root/.gnupg/pubring.gpg' created
gpg: requesting key 89DF5277 from hkp server keys.gnupg.net
gpg: /root/.gnupg/trustdb.gpg: trustdb created
gpg: key 89DF5277: public key "Guillaume Plessis <gui@dotdeb.org>" imported
gpg: no ultimately trusted keys found
gpg: Total number processed: 1
gpg:               imported: 1  (RSA: 1)
# gpg -a --export 89DF5277 | apt-key add -
OK

Комментариев нет:

Отправить комментарий